# PDevicePluginAdapterBase Class Reference

`#include <plugin.h>`

Inheritance diagram for PDevicePluginAdapterBase:

List of all members.

## Public Member Functions

| PDevicePluginAdapterBase ()
virtual | ~PDevicePluginAdapterBase ()
virtual void | CreateFactory (const PString &device)=0

## Constructor & Destructor Documentation

PDevicePluginAdapterBase::PDevicePluginAdapterBase | ( |  | ) | `[inline]`

virtual PDevicePluginAdapterBase::~PDevicePluginAdapterBase | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void PDevicePluginAdapterBase::CreateFactory | ( | const PString & | device | ) | `[pure virtual]`

Implemented in PDevicePluginAdapter< DeviceBase >.

The documentation for this class was generated from the following file:

- plugin.h